export interface CreateUserCommand {
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
  secret: string;
  isOwner: boolean;
}

export interface UpdateUserCommand {
  id: number;
  mail: string;
  username: string;
  firstname: string;
  lastname: string;
}

export interface UpdateUserSecretCommand {
  id: number;
  secret: string;
}

export interface TransferUserOwnerCommand {
  fromId: number;
  toId: number;
}

export interface UpdateUserRolesCommand {
  id: number;
  roleIds: Array<number>;
}

export interface DeleteUserCommand {
  id: number;
}
