import { Salutation } from "../../enums/salutation";
import { CommunicationViewModel } from "./communication.models";
import { MembershipViewModel } from "./membership.models";

export interface MemberViewModel {
  id: number;
  salutation: Salutation;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  firstMembershipEntry?: MembershipViewModel;
  lastMembershipEntry?: MembershipViewModel;
  sendNewsletter?: CommunicationViewModel;
  smsAlarming?: Array<CommunicationViewModel>;
  preferredCommunication?: Array<CommunicationViewModel>;
}
